Index: org/postgresql/errors.properties
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/errors.properties,v
retrieving revision 1.21
diff -c -p -c -p -r1.21 errors.properties
*** org/postgresql/errors.properties	30 Jun 2003 16:38:30 -0000	1.21
--- org/postgresql/errors.properties	3 Jul 2003 18:55:35 -0000
*************** postgresql.call.wrongrtntype:A CallableS
*** 100,102 ****
--- 100,103 ----
  postgresql.input.fetch.gt0:Fetch size must be a value greater than or equal to 0.
  postgresql.input.query.gt0:Query Timeout must be a value greater than or equal to 0.
  postgresql.input.rows.gt0:Maximum number of rows must be a value greater than or equal to 0.
+ postgresql.badcast.bytes:setObject cannot be used with this Object type and java.sql.Types.BINARY/VARBINARY/LONGVARBINARY.
Index: org/postgresql/jdbc1/AbstractJdbc1Statement.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1Statement.java,v
retrieving revision 1.26
diff -c -p -c -p -r1.26 AbstractJdbc1Statement.java
*** org/postgresql/jdbc1/AbstractJdbc1Statement.java	30 Jun 2003 21:10:55 -0000	1.26
--- org/postgresql/jdbc1/AbstractJdbc1Statement.java	3 Jul 2003 18:55:36 -0000
*************** public abstract class AbstractJdbc1State
*** 1513,1519 ****
  			case Types.BINARY:
  			case Types.VARBINARY:
  			case Types.LONGVARBINARY:
! 				setObject(parameterIndex, x);
  				break;
  			case Types.OTHER:
  				setString(parameterIndex, ((PGobject)x).getValue(), PG_TEXT);
--- 1513,1528 ----
  			case Types.BINARY:
  			case Types.VARBINARY:
  			case Types.LONGVARBINARY:
! 				if (x instanceof byte[])
! 				{
! 					setBytes(parameterIndex,(byte[])x);					
! 				}
! 				else if (x instanceof String)
! 				{
! 					setBytes(parameterIndex,((String)x).getBytes());
! 				}
! 				else
! 					throw new PSQLException("postgresql.badcast.bytes");
  				break;
  			case Types.OTHER:
  				setString(parameterIndex, ((PGobject)x).getValue(), PG_TEXT);
